function onCustomHomeScreenTextClicked() {
    var customHomeScreenTextEnabled = document.getElementById("home_screen_text_enabled").checked;
    if (customHomeScreenTextEnabled == 0) {
        document.getElementById("home_screen_text_row_one").style.display = "none";
        document.getElementById("home_screen_text_row_two").style.display = "none";
        document.getElementById("home_screen_text_row_three").style.display = "none";
        document.getElementById("home_screen_text_row_four").style.display = "none";
        document.getElementById("home_screen_text_row_one_br").style.display = "none";
        document.getElementById("home_screen_text_row_two_br").style.display = "none";
        document.getElementById("home_screen_text_row_three_br").style.display = "none";
        document.getElementById("home_screen_text_row_four_br").style.display = "none";
    } else if (customHomeScreenTextEnabled == 1) {
        document.getElementById("home_screen_text_row_one").style.display = "";
        document.getElementById("home_screen_text_row_two").style.display = "";
        document.getElementById("home_screen_text_row_three").style.display = "";
        document.getElementById("home_screen_text_row_four").style.display = "";
        document.getElementById("home_screen_text_row_one_br").style.display = "";
        document.getElementById("home_screen_text_row_two_br").style.display = "";
        document.getElementById("home_screen_text_row_three_br").style.display = "";
        document.getElementById("home_screen_text_row_four_br").style.display = "";
    }
}

function validateInput() {
    var isValid = true;
    var password = document.getElementById("system_admin_password");
    if (!/^\d+$/.test(password.value)) {
        password.style.borderColor = "#CF102D";
        isValid = false;
    } else {
        password.style.borderColor = "#ccc";
    }

    var quickCallEnabled = document.getElementById("quick_enable");
    if (quickCallEnabled.checked) {
        var quickCallUrl = document.getElementById("quick_url");
        if (quickCallUrl.value === "") {
            quickCallUrl.style.borderColor = "#CF102D";
            isValid = false;
        } else {
            quickCallUrl.style.borderColor = "#ccc";
        }
    }

    if (!isValid) {
        alert("Error saving settings - check form input");
    } else {
        onSubmit();
    }
}

function syncLocalDateTime() {
    var time = document.getElementById("time");
    var d = new Date();
    var hours = d.getHours();
    var minutes = d.getMinutes();
    var timeString = "" + ((hours < 10) ? "0" + hours : hours);
    timeString += ((minutes < 10) ? ":0" : ":") + minutes;
    time.value = timeString;

    var date = document.getElementById("date");
    date.value = new Date().toFormattedString("yyyy-MM-dd");
}

String.prototype.padLeft = function (value, size) {
    var x = this;
    while (x.length < size) { x = value + x; }
    return x;
}

Date.prototype.toFormattedString = function (f) {
    f = f.replace(/yyyy/g, this.getFullYear());
    f = f.replace(/yy/g, String(this.getFullYear()).substr(2, 2));
    f = f.replace(/MM/g, String(this.getMonth() + 1).padLeft('0', 2));
    f = f.replace(/mm/g, String(this.getMonth() + 1).padLeft('0', 2));
    f = f.replace(/dd/g, String(this.getDate()).padLeft('0', 2));
    f = f.replace(/d\*/g, this.getDate());
    return f;
}
