function select_mode() {
    var mode = document.getElementById("mode").value;
    if (mode == 0) {
        document.getElementById("tr_site_number").style.display = "";
        document.getElementById("tr_building_number").style.display = "";
        document.getElementById("tr_floor_number").style.display = "none";
        document.getElementById("tr_room_number").style.display = "none";
        document.getElementById("panel_ignore_building").style.display = "none";
        document.getElementById("site_number_br").style.display = "";
        document.getElementById("building_number_br").style.display = "";
        document.getElementById("floor_number_br").style.display = "none";
        document.getElementById("room_number_br").style.display = "none";
        document.getElementById("panel_ignore_building_br").style.display = "none";
    } else if (mode == 1) {
        document.getElementById("tr_site_number").style.display = "none";
        document.getElementById("tr_building_number").style.display = "none";
        document.getElementById("tr_floor_number").style.display = "none";
        document.getElementById("tr_room_number").style.display = "none";
        document.getElementById("panel_ignore_building").style.display = "";
        document.getElementById("site_number_br").style.display = "none";
        document.getElementById("building_number_br").style.display = "none";
        document.getElementById("floor_number_br").style.display = "none";
        document.getElementById("room_number_br").style.display = "none";
        document.getElementById("panel_ignore_building_br").style.display = "";
    } else if (mode == 2) {
        document.getElementById("tr_site_number").style.display = "";
        document.getElementById("tr_building_number").style.display = "";
        document.getElementById("tr_floor_number").style.display = "";
        document.getElementById("tr_room_number").style.display = "";
        document.getElementById("panel_ignore_building").style.display = "none";
        document.getElementById("site_number_br").style.display = "";
        document.getElementById("building_number_br").style.display = "";
        document.getElementById("floor_number_br").style.display = "";
        document.getElementById("room_number_br").style.display = "";
        document.getElementById("panel_ignore_building_br").style.display = "none";
    }
}

function validateInput() {
    var isValid = true;
    var panelMode = document.getElementById("mode");
    var site = document.getElementById("site_number");
    if ((panelMode.value == 0 || panelMode.value == 2) && (!/^\d+$/.test(site.value) || site.value < 1 || site.value > 99)) {
        site.style.borderColor = "#CF102D";
        isValid = false;
    } else {
        site.style.borderColor = "#ccc";
    }

    var building = document.getElementById("building_number");
    if ((panelMode.value == 0 || panelMode.value == 2) && (!/^\d+$/.test(building.value) || building.value >= 1000)) {
        building.style.borderColor = "#CF102D";
        isValid = false;
    } else {
        building.style.borderColor = "#ccc";
    }

    var floor = document.getElementById("floor_number");
    if (panelMode.value == 2 && (!/^\d+$/.test(floor.value) || floor.value >= 99)) {
        floor.style.borderColor = "#CF102D";
        isValid = false;
    } else {
        floor.style.borderColor = "#ccc";
    }

    var room = document.getElementById("room_number");
    if (panelMode.value == 2 && (!/^\d+$/.test(room.value) || room.value < 1 || room.value > 99)) {
        room.style.borderColor = "#CF102D";
        isValid = false;
    } else {
        room.style.borderColor = "#ccc";
    }

    var panelIndex = document.getElementById("panel_index");
    if (!/^\d+$/.test(panelIndex.value) || panelIndex.value == 0 || (panelMode.value == 0 && panelIndex.value > 99)
        || (panelMode.value == 1 && panelIndex.value > 9000) || (panelMode.value == 2 && panelIndex.value > 9)) {
        panelIndex.style.borderColor = "#CF102D";
        isValid = false;
    } else {
        panelIndex.style.borderColor = "#ccc";
    }

    var concierge_ip = document.getElementById("concierge_ip");
    if (concierge_ip.value === "") {
        concierge_ip.style.borderColor = "#CF102D";
        isValid = false;
    } else {
        concierge_ip.style.borderColor = "#ccc";
    }

    if (!isValid) {
        alert("Error saving settings - check form input");
    } else {
        onSubmit();
    }
}
