function isNumberKey(e) {
    if (e.which >= 48 && e.which <= 57) {
        return true;
    }

    return false;
}

function isNumberOrDecimalKey(e) {
    if (isNumberKey(e) || e.which == 46) {
        return true;
    }

    return false;
}

function disableSpaceKey(e) {
    if (e.which == 32) {
        return false;
    }

    return true;
}

function onControlChanged(checkboxId, invert) {
    var fieldIds = arguments;
    var checkbox = document.getElementById(checkboxId);
    for (var i = 2; i < fieldIds.length; i++) {
        var field = document.getElementById(fieldIds[i]);
        if (invert) {
            if (checkbox.checked) {
                if (field instanceof HTMLImageElement) {
                    field.style.backgroundColor = '#e0b1bb';
                    field.style.cursor = 'default';
                } else {
                    field.disabled = 'true';
                }
            } else {
                if (field instanceof HTMLImageElement) {
                    field.style.backgroundColor = '#cf102d';
                    field.style.cursor = 'pointer';
                } else {
                    field.disabled = '';
                }
            }
        } else {
            if (checkbox.checked) {
                if (field instanceof HTMLImageElement) {
                    field.style.backgroundColor = '#cf102d';
                    field.style.cursor = 'pointer';
                } else {
                    field.disabled = '';
                }
            } else {
                if (field instanceof HTMLImageElement) {
                    field.style.backgroundColor = '#e0b1bb';
                    field.style.cursor = 'default';
                } else {
                    field.disabled = 'true';
                }
            }
        }
    }
}

function onSubmit() {
    document.getElementById("form").submit();
    alert("Settings saved.");
}

function onPasswordVisibilityChanged(passwordButton, passwordFieldId) {
    onFieldVisibilityChanged(null, false, passwordButton, passwordFieldId);
}

function onFieldVisibilityChanged(checkboxId, invert, passwordButton, passwordFieldId) {
    var checkbox = document.getElementById(checkboxId);
    if (!checkbox || (invert && !checkbox.checked) || (!invert && checkbox.checked)) {
        var passwordField = document.getElementById(passwordFieldId);
        if (passwordButton.name == "view") {
            passwordButton.src = "../images/hide.png";
            passwordButton.name = "hide";
            passwordField.type = "text";
        } else {
            passwordButton.src = "../images/view.png";
            passwordButton.name = "view";
            passwordField.type = "password";
        }
    }
}