function onSipChanged() {
    onControlChanged("sip_enabled", false, "sip_register_address", "sip_realm", "sip_outbound_proxy",
        "sip_stun_ip", "sip_stun_port", "sip_user", "sip_password", "view");
}

function onEnableSipFields() {
    sipEnabled = document.getElementById("sip_enabled").disabled = '';
    sipRegisterAddress = document.getElementById("sip_register_address").disabled = '';
    sipRealm = document.getElementById("sip_realm").disabled = '';
    sipProxy = document.getElementById("sip_outbound_proxy").disabled = '';
    sipStunIp = document.getElementById("sip_stun_ip").disabled = '';
    sipStunPort = document.getElementById("sip_stun_port").disabled = '';
    sipUser = document.getElementById("sip_user").disabled = '';
    sipPassword = document.getElementById("sip_password").disabled = '';
}

function validateInput() {
    var isValid = true;
    var proxy = document.getElementById("sip_register_address");
    if (proxy.value === "") {
        proxy.style.borderColor = "#CF102D";
        isValid = false;
    } else {
        proxy.style.borderColor = "#ccc";
    }

    var realm = document.getElementById("sip_realm");
    if (realm.value === "") {
        realm.style.borderColor = "#CF102D";
        isValid = false;
    } else {
        realm.style.borderColor = "#ccc";
    }

    var outbound = document.getElementById("sip_outbound_proxy");
    if (outbound.value === "") {
        outbound.style.borderColor = "#CF102D";
        isValid = false;
    } else {
        outbound.style.borderColor = "#ccc";
    }

    var stunIp = document.getElementById("sip_stun_ip");
    if (stunIp.value === "") {
        stunIp.style.borderColor = "#CF102D";
        isValid = false;
    } else {
        stunIp.style.borderColor = "#ccc";
    }

    var stunPort = document.getElementById("sip_stun_port");
    if (!/^\d+$/.test(stunPort.value)) {
        stunPort.style.borderColor = "#CF102D";
        isValid = false;
    } else {
        stunPort.style.borderColor = "#ccc";
    }

    if (!isValid) {
        alert("Error saving settings - check form input");
    } else {
        var sipEnabled = document.getElementById("sip_enabled");
        if (!sipEnabled.checked) {
            // Need to enable all fields or else submit will fail as HTTP header content length will be empty
            onEnableSipFields();
        }

        onSubmit();
    }
}
