function onPasswordLimitChanged() {
    var password_limit = document.getElementById("password_limit").value;
    var i;

    for (i = 0; i < 8; i++) {
        var dev = document.getElementById("password_row_" + (i + 1));
        if (i < password_limit) {
            dev.style.display = "";
        } else {
            dev.style.display = "none";
        }
    }
}

function validateInput() {
    var isValid = true;
    var adminCard = document.getElementById("admin_card");
    if (!/^\d+$/.test(adminCard.value)) {
        adminCard.style.borderColor = "#CF102D";
        isValid = false;
    } else {
        adminCard.style.borderColor = "#ccc";
    }

    var passwordLimit = document.getElementById("password_limit").value;
    for (var i = 0; i < passwordLimit; i++) {
        var passwordField = document.getElementById("password_" + (i + 1));
        if (!/^\d+$/.test(passwordField.value)) {
            passwordField.style.borderColor = "#CF102D";
            isValid = false;
        } else {
            passwordField.style.borderColor = "#ccc";
        }
    }

    if (!isValid) {
        alert("Error saving settings - check form input");
    } else {
        onSubmit();
    }
}
