function checkScheduleCount() {
    if (schedules == 0) {
        document.getElementById("no_schedules_found").style.display = "block";
    } else {
        document.getElementById("remove_schedule_button").style.display = "";
    }
}

function onAddSchedule() {
    schedules++;
    document.getElementById("schedule_tracker").value = schedules;
    document.getElementById("no_schedules_found").style.display = "none";
    document.getElementById("section_schedule_" + schedules).style.display = "";
    document.getElementById("remove_schedule_button").style.display = "";
    if (schedules == 4) {
        document.getElementById("add_schedule_button").disabled = true;
    }
}

function onRemoveSchedule() {
    document.getElementById("section_schedule_" + schedules).style.display = "none";
    schedules--;
    document.getElementById("schedule_tracker").value = schedules;
    document.getElementById("add_schedule_button").disabled = false;
    if (schedules == 0) {
        document.getElementById("remove_schedule_button").style.display = "none";
        document.getElementById("no_schedules_found").style.display = "block";
    }
}

function validateInput() {
    var isValid = true;
    for (var i = 0; i < schedules; i++) {
        var mondayCheck = document.getElementById("check_" + (i + 1) + "_0");
        var tuesdayCheck = document.getElementById("check_" + (i + 1) + "_1");
        var wednesdayCheck = document.getElementById("check_" + (i + 1) + "_2");
        var thursdayCheck = document.getElementById("check_" + (i + 1) + "_3");
        var fridayCheck = document.getElementById("check_" + (i + 1) + "_4");
        var saturdayCheck = document.getElementById("check_" + (i + 1) + "_5");
        var sundayCheck = document.getElementById("check_" + (i + 1) + "_6");
        var table = document.getElementById("table_" + (i + 1));
        if (!mondayCheck.checked && !tuesdayCheck.checked && !wednesdayCheck.checked && !thursdayCheck.checked
                && !fridayCheck.checked && !saturdayCheck.checked && !sundayCheck.checked) {
            table.style.borderColor = "#cf102d"
            isValid = false;
        } else {
            table.style.borderColor = "gray";
        }
    }

    if (!isValid) {
        alert("Error saving settings - check form input");
    } else {
        onSubmit();
    }
}